# DeleteDomain

## 1. API Description

This API is used to delete an accelerated domain.

## 2. Request Parameters

The following table lists the request parameters required for the interface:

| Parameter Name | Required | Type   | Description           |
| -------------- | -------- | ------ | --------------------- |
| domainId       | Yes      | String | Accelerated domain ID |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                          |
| -------------- | ------ | ------------------------------------------------------------------------------------ |
| requestId      | String | Unique request ID returned with every request. Provide this ID when troubleshooting. |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}

1. **Delete Accelerated Domain**

```json
POST / HTTP/1.1
Host: console.zenlayer.com/api/v2/cdn
Content-Type: application/json
X-ZC-Action: DeleteDomain
<Common Request Params>

Request:
{
    "domainId": "domainIdxxxxx"
}

Response:
{
    "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F"
}
```

{% endtab %}
{% endtabs %}

## 5. Error Codes

The following includes error codes encountered in business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                        | Description                                         |
| ---------------- | --------------------------------- | --------------------------------------------------- |
| 404              | INVALID\_DOMAIN\_NOT\_FOUND       | The specified accelerated domain does not exist.    |
| 403              | DOMAIN\_OPERATION\_NO\_PERMISSION | The operation was denied due to lack of permission. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/networking/cdn/domain/deletedomain.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
